Page MenuHomePhabricator

Request creation of machine-vision VPS project
Closed, ResolvedPublic

Description

Project Name: machine-vision

Wikitech Usernames of requestors: mholloway (@Mholloway), dr0ptp4kt (@dr0ptp4kt) , Joewalsh (@JoeWalsh), marktraceur (@MarkTraceur )

Purpose: To be used for prototyping middleware for AI-generated image label candidates for Commons / SDoC (T226119)

Brief description: This will be used for prototyping middleware to be used for:

  • Requesting image label candidates from third-party machine vision providers
  • Providing temporary storage for label candidates pending editor verification
  • Serving label candidates to Commons users via a special page for verification and promotion to SDoC
  • Providing the results of human editor verification back to the AI provider for model refinement

Expected software: MW-Vagrant, a Node service template service, possibly Kask

How soon you are hoping this can be fulfilled: ASAP (hopefully in time to use it for hacking during the Multimedia team offsite currently in progress)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2019, 4:35 PM
Mholloway updated the task description. (Show Details)Jun 25 2019, 4:36 PM
Andrew claimed this task.Jul 2 2019, 4:35 PM
bd808 added a subscriber: bd808.

Approved in 2019-07-02 WMCS team meeting

Andrew closed this task as Resolved.Jul 2 2019, 5:24 PM

done!

Mholloway moved this task from Backlog to Done on the Machine vision board.